# NullFederateAmbassador Class Reference

`#include <NullFederateAmbassador.hh>`

Inheritance diagram for NullFederateAmbassador:

[legend]

List of all members.

## Public Member Functions
| NullFederateAmbassador ()
virtual | ~NullFederateAmbassador () throw (RTI::FederateInternalError)
virtual void | synchronizationPointRegistrationSucceeded (const char *) throw (RTI::FederateInternalError)
virtual void | synchronizationPointRegistrationFailed (const char *) throw (RTI::FederateInternalError)
virtual void | announceSynchronizationPoint (const char *, const char *) throw (RTI::FederateInternalError)
virtual void | federationSynchronized (const char *) throw (RTI::FederateInternalError)
virtual void | initiateFederateSave (const char *) throw (RTI::UnableToPerformSave, RTI::FederateInternalError)
virtual void | federationSaved () throw (RTI::FederateInternalError)
virtual void | federationNotSaved () throw (RTI::FederateInternalError)
virtual void | requestFederationRestoreSucceeded (const char *) throw (RTI::FederateInternalError)
virtual void | requestFederationRestoreFailed (const char *, const char *) throw (RTI::FederateInternalError)
virtual void | federationRestoreBegun () throw (RTI::FederateInternalError)
virtual void | initiateFederateRestore (const char *, RTI::FederateHandle) throw (RTI::SpecifiedSaveLabelDoesNotExist, RTI::CouldNotRestore, RTI::FederateInternalError)
virtual void | federationRestored () throw (RTI::FederateInternalError)
virtual void | federationNotRestored () throw (RTI::FederateInternalError)
virtual void | startRegistrationForObjectClass (RTI::ObjectClassHandle) throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError)
virtual void | stopRegistrationForObjectClass (RTI::ObjectClassHandle) throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError)
virtual void | turnInteractionsOn (RTI::InteractionClassHandle) throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError)
virtual void | turnInteractionsOff (RTI::InteractionClassHandle) throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError)
virtual void | discoverObjectInstance (RTI::ObjectHandle, RTI::ObjectClassHandle, const char *) throw (RTI::CouldNotDiscover, RTI::ObjectClassNotKnown, RTI::FederateInternalError)
virtual void | reflectAttributeValues (RTI::ObjectHandle, const RTI::AttributeHandleValuePairSet &, const RTI::FedTime &, const char *, RTI::EventRetractionHandle) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes, RTI::InvalidFederationTime, RTI::FederateInternalError)
virtual void | reflectAttributeValues (RTI::ObjectHandle, const RTI::AttributeHandleValuePairSet &, const char *) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes, RTI::FederateInternalError)
virtual void | receiveInteraction (RTI::InteractionClassHandle, const RTI::ParameterHandleValuePairSet &, const RTI::FedTime &, const char *, RTI::EventRetractionHandle) throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError)
virtual void | receiveInteraction (RTI::InteractionClassHandle, const RTI::ParameterHandleValuePairSet &, const char *) throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::FederateInternalError)
virtual void | removeObjectInstance (RTI::ObjectHandle, const RTI::FedTime &, const char *, RTI::EventRetractionHandle) throw (RTI::ObjectNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError)
virtual void | removeObjectInstance (RTI::ObjectHandle, const char *) throw (RTI::ObjectNotKnown, RTI::FederateInternalError)
virtual void | attributesInScope (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)
virtual void | attributesOutOfScope (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)
virtual void | provideAttributeValueUpdate (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)
virtual void | turnUpdatesOnForObjectInstance (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)
virtual void | turnUpdatesOffForObjectInstance (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)
virtual void | requestAttributeOwnershipAssumption (RTI::ObjectHandle, const RTI::AttributeHandleSet &, const char *) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeNotPublished, RTI::FederateInternalError)
virtual void | attributeOwnershipDivestitureNotification (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::AttributeDivestitureWasNotRequested, RTI::FederateInternalError)
virtual void | attributeOwnershipAcquisitionNotification (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAcquisitionWasNotRequested, RTI::AttributeAlreadyOwned, RTI::AttributeNotPublished, RTI::FederateInternalError)
virtual void | attributeOwnershipUnavailable (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeAcquisitionWasNotRequested, RTI::FederateInternalError)
virtual void | requestAttributeOwnershipRelease (RTI::ObjectHandle, const RTI::AttributeHandleSet &, const char *) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)
virtual void | confirmAttributeOwnershipAcquisitionCancellation (RTI::ObjectHandle, const RTI::AttributeHandleSet &) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeAcquisitionWasNotCanceled, RTI::FederateInternalError)
virtual void | informAttributeOwnership (RTI::ObjectHandle, RTI::AttributeHandle, RTI::FederateHandle) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)
virtual void | attributeIsNotOwned (RTI::ObjectHandle, RTI::AttributeHandle) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)
virtual void | attributeOwnedByRTI (RTI::ObjectHandle, RTI::AttributeHandle) throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)
virtual void | timeRegulationEnabled (const RTI::FedTime &) throw (RTI::InvalidFederationTime, RTI::EnableTimeRegulationWasNotPending, RTI::FederateInternalError)
virtual void | timeConstrainedEnabled (const RTI::FedTime &) throw (RTI::InvalidFederationTime, RTI::EnableTimeConstrainedWasNotPending, RTI::FederateInternalError)
virtual void | timeAdvanceGrant (const RTI::FedTime &) throw (RTI::InvalidFederationTime, RTI::TimeAdvanceWasNotInProgress, RTI::FederateInternalError)
virtual void | requestRetraction (RTI::EventRetractionHandle) throw (RTI::EventNotKnown, RTI::FederateInternalError)

## Detailed Description

Definition at line 9 of file NullFederateAmbassador.hh.

## Constructor & Destructor Documentation

NullFederateAmbassador | ( |  | ) | `[inline]`

Definition at line 12 of file NullFederateAmbassador.hh.

virtual ~NullFederateAmbassador | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Definition at line 13 of file NullFederateAmbassador.hh.

## Member Function Documentation

virtual void synchronizationPointRegistrationSucceeded | ( | const char * |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 18 of file NullFederateAmbassador.hh.

virtual void synchronizationPointRegistrationFailed | ( | const char * |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 21 of file NullFederateAmbassador.hh.

virtual void announceSynchronizationPoint | ( | const char * | ,
|  | const char * |  |
| ) |  |  | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 24 of file NullFederateAmbassador.hh.

virtual void federationSynchronized | ( | const char * |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 27 of file NullFederateAmbassador.hh.

virtual void initiateFederateSave | ( | const char * |  | ) | throw (RTI::UnableToPerformSave, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 30 of file NullFederateAmbassador.hh.

virtual void federationSaved | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 33 of file NullFederateAmbassador.hh.

virtual void federationNotSaved | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 36 of file NullFederateAmbassador.hh.

virtual void requestFederationRestoreSucceeded | ( | const char * |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 39 of file NullFederateAmbassador.hh.

virtual void requestFederationRestoreFailed | ( | const char * | ,
|  | const char * |  |
| ) |  |  | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 42 of file NullFederateAmbassador.hh.

virtual void federationRestoreBegun | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 45 of file NullFederateAmbassador.hh.

virtual void initiateFederateRestore | ( | const char * | ,
|  | RTI::FederateHandle |  |
| ) |  |  | throw (RTI::SpecifiedSaveLabelDoesNotExist, RTI::CouldNotRestore, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 48 of file NullFederateAmbassador.hh.

virtual void federationRestored | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 51 of file NullFederateAmbassador.hh.

virtual void federationNotRestored | ( |  | ) | throw (RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 54 of file NullFederateAmbassador.hh.

virtual void startRegistrationForObjectClass | ( | RTI::ObjectClassHandle |  | ) | throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 59 of file NullFederateAmbassador.hh.

virtual void stopRegistrationForObjectClass | ( | RTI::ObjectClassHandle |  | ) | throw (RTI::ObjectClassNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 62 of file NullFederateAmbassador.hh.

virtual void turnInteractionsOn | ( | RTI::InteractionClassHandle |  | ) | throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 65 of file NullFederateAmbassador.hh.

virtual void turnInteractionsOff | ( | RTI::InteractionClassHandle |  | ) | throw (RTI::InteractionClassNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 68 of file NullFederateAmbassador.hh.

virtual void discoverObjectInstance | ( | RTI::ObjectHandle | ,
|  | RTI::ObjectClassHandle | ,
|  | const char * |  |
| ) |  |  | throw (RTI::CouldNotDiscover, RTI::ObjectClassNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 73 of file NullFederateAmbassador.hh.

virtual void reflectAttributeValues | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleValuePairSet & | ,
|  | const RTI::FedTime & | ,
|  | const char * | ,
|  | RTI::EventRetractionHandle |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes, RTI::InvalidFederationTime, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 76 of file NullFederateAmbassador.hh.

virtual void reflectAttributeValues | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleValuePairSet & | ,
|  | const char * |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateOwnsAttributes, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 81 of file NullFederateAmbassador.hh.

virtual void receiveInteraction | ( | RTI::InteractionClassHandle | ,
|  | const RTI::ParameterHandleValuePairSet & | ,
|  | const RTI::FedTime & | ,
|  | const char * | ,
|  | RTI::EventRetractionHandle |  |
| ) |  |  | throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 85 of file NullFederateAmbassador.hh.

virtual void receiveInteraction | ( | RTI::InteractionClassHandle | ,
|  | const RTI::ParameterHandleValuePairSet & | ,
|  | const char * |  |
| ) |  |  | throw (RTI::InteractionClassNotKnown, RTI::InteractionParameterNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 90 of file NullFederateAmbassador.hh.

virtual void removeObjectInstance | ( | RTI::ObjectHandle | ,
|  | const RTI::FedTime & | ,
|  | const char * | ,
|  | RTI::EventRetractionHandle |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::InvalidFederationTime, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 94 of file NullFederateAmbassador.hh.

virtual void removeObjectInstance | ( | RTI::ObjectHandle | ,
|  | const char * |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 98 of file NullFederateAmbassador.hh.

virtual void attributesInScope | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 101 of file NullFederateAmbassador.hh.

virtual void attributesOutOfScope | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 104 of file NullFederateAmbassador.hh.

virtual void provideAttributeValueUpdate | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 107 of file NullFederateAmbassador.hh.

virtual void turnUpdatesOnForObjectInstance | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 111 of file NullFederateAmbassador.hh.

virtual void turnUpdatesOffForObjectInstance | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 114 of file NullFederateAmbassador.hh.

virtual void requestAttributeOwnershipAssumption | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & | ,
|  | const char * |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 119 of file NullFederateAmbassador.hh.

virtual void attributeOwnershipDivestitureNotification | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::AttributeDivestitureWasNotRequested, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 124 of file NullFederateAmbassador.hh.

virtual void attributeOwnershipAcquisitionNotification | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAcquisitionWasNotRequested, RTI::AttributeAlreadyOwned, RTI::AttributeNotPublished, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 128 of file NullFederateAmbassador.hh.

virtual void attributeOwnershipUnavailable | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeAcquisitionWasNotRequested, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 132 of file NullFederateAmbassador.hh.

virtual void requestAttributeOwnershipRelease | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & | ,
|  | const char * |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeNotOwned, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 136 of file NullFederateAmbassador.hh.

virtual void confirmAttributeOwnershipAcquisitionCancellation | ( | RTI::ObjectHandle | ,
|  | const RTI::AttributeHandleSet & |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::AttributeAlreadyOwned, RTI::AttributeAcquisitionWasNotCanceled, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 140 of file NullFederateAmbassador.hh.

virtual void informAttributeOwnership | ( | RTI::ObjectHandle | ,
|  | RTI::AttributeHandle | ,
|  | RTI::FederateHandle |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 145 of file NullFederateAmbassador.hh.

virtual void attributeIsNotOwned | ( | RTI::ObjectHandle | ,
|  | RTI::AttributeHandle |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 148 of file NullFederateAmbassador.hh.

virtual void attributeOwnedByRTI | ( | RTI::ObjectHandle | ,
|  | RTI::AttributeHandle |  |
| ) |  |  | throw (RTI::ObjectNotKnown, RTI::AttributeNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 151 of file NullFederateAmbassador.hh.

virtual void timeRegulationEnabled | ( | const RTI::FedTime & |  | ) | throw (RTI::InvalidFederationTime, RTI::EnableTimeRegulationWasNotPending, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 156 of file NullFederateAmbassador.hh.

virtual void timeConstrainedEnabled | ( | const RTI::FedTime & |  | ) | throw (RTI::InvalidFederationTime, RTI::EnableTimeConstrainedWasNotPending, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 159 of file NullFederateAmbassador.hh.

virtual void timeAdvanceGrant | ( | const RTI::FedTime & |  | ) | throw (RTI::InvalidFederationTime, RTI::TimeAdvanceWasNotInProgress, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 162 of file NullFederateAmbassador.hh.

virtual void requestRetraction | ( | RTI::EventRetractionHandle |  | ) | throw (RTI::EventNotKnown, RTI::FederateInternalError)`[inline, virtual]`

Implements RTI::FederateAmbassador.

Definition at line 165 of file NullFederateAmbassador.hh.

The documentation for this class was generated from the following file:

- NullFederateAmbassador.hh